unit PupilsUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, DBCtrls, Grids, DBGrids, DB;

type
  TPupilsForm = class(TForm)
    DBGrid1: TDBGrid;
    DBMemo1: TDBMemo;
    Label1: TLabel;
    DBLookupComboBox1: TDBLookupComboBox;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    InsertButton: TButton;
    EditButton: TButton;
    PostButton: TButton;
    CancelButton: TButton;
    DeleteButton: TButton;
    procedure InsertButtonClick(Sender: TObject);
    procedure EditButtonClick(Sender: TObject);
    procedure PostButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure DeleteButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PupilsForm: TPupilsForm;

implementation

uses ClassUnit, ModuleUnit;

{$R *.dfm}

procedure TPupilsForm.InsertButtonClick(Sender: TObject);
begin
  if DataModule2.TablePupils.State = dsBrowse then DataModule2.TablePupils.Insert;
end;

procedure TPupilsForm.EditButtonClick(Sender: TObject);
begin
  if DataModule2.TablePupils.State = dsBrowse then DataModule2.TablePupils.Edit;
end;

procedure TPupilsForm.PostButtonClick(Sender: TObject);
begin
  if (DataModule2.TablePupils.State = dsInsert) or
     (DataModule2.TablePupils.State = dsEdit) then
     DataModule2.TablePupils.Post;
end;

procedure TPupilsForm.CancelButtonClick(Sender: TObject);
begin
  if DataModule2.TablePupils.State in [dsInsert,dsEdit] then
      DataModule2.TablePupils.Cancel;
end;

procedure TPupilsForm.DeleteButtonClick(Sender: TObject);
begin
   if DataModule2.TablePupils.State = dsBrowse then
     if MessageDlg('    ?',
             mtConfirmation,[mbYes,mbNo],0) = mrYes then
       DataModule2.TablePupils.Delete;
end;

procedure TPupilsForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Form1.Close;
end;

end.
